summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMatthew Murray2020-07-12 21:54:36 +0100
committerMatthew Murray2020-07-12 22:32:59 +0100
commit7588afb663509ad2f6d84b2d5d463c37792f7000 (patch)
tree3cfd509d0bd6986a71e9bbe6de2ce8c8ad6f13a8
downloadaur-7588afb663509ad2f6d84b2d5d463c37792f7000.tar.gz
Initial commit
-rw-r--r--.SRCINFO25
-rw-r--r--.gitignore4
-rw-r--r--PKGBUILD34
-rw-r--r--python-validity.service10
4 files changed, 73 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..c172dde9430
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,25 @@
+pkgbase = python-validity
+ pkgdesc = Validity fingerprint sensor driver
+ pkgver = r101.1c98a45
+ pkgrel = 1
+ url = https://github.com/uunicorn/python-validity
+ arch = any
+ license = MIT
+ makedepends = python-setuptools
+ depends = python
+ depends = python-pyusb
+ depends = python-cryptography
+ depends = python-dbus
+ depends = python-gobject
+ depends = innoextract
+ depends = open-fprintd
+ depends = fprintd-clients
+ provides = python-validity
+ conflicts = python-validity
+ source = git+https://github.com/uunicorn/python-validity.git#branch=master
+ source = python-validity.service
+ md5sums = SKIP
+ md5sums = 41bda3076126b2465eb3cc6dafe14385
+
+pkgname = python-validity
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..4e49f6adc14
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,4 @@
+python-validity/
+pkg/
+src/
+*.xz
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..2e7733ea4aa
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,34 @@
+# Maintainer: Matthew Murray <matt@mattmurr.xyz>
+pkgname=python-validity
+pkgver=r101.1c98a45
+pkgrel=1
+pkgdesc="Validity fingerprint sensor driver"
+arch=(any)
+license=(MIT)
+depends=(python python-pyusb python-cryptography python-dbus python-gobject
+ innoextract open-fprintd fprintd-clients)
+makedepends=(python-setuptools)
+conflicts=($pkgname)
+provides=($pkgname)
+url="https://github.com/uunicorn/${pkgname}"
+source=("git+${url}.git#branch=master"
+ python-validity.service)
+md5sums=('SKIP'
+ '41bda3076126b2465eb3cc6dafe14385')
+
+pkgver() {
+ cd $srcdir/$pkgname
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+}
+
+build() {
+ cd $srcdir/$pkgname
+ python setup.py build
+}
+
+package() {
+ cd $srcdir/$pkgname
+ python setup.py install --prefix=/usr --root $pkgdir || return 1
+}
+
+# vim:set ts=2 sw=2 et:
diff --git a/python-validity.service b/python-validity.service
new file mode 100644
index 00000000000..82a1cefbfd9
--- /dev/null
+++ b/python-validity.service
@@ -0,0 +1,10 @@
+[Unit]
+Description=python-validity dbus service
+
+[Service]
+Type=simple
+ExecStart=/usr/lib/python-validity/dbus-service
+Restart=always
+
+[Install]
+WantedBy=multi-user.target